# Uses of Interface
org.eclipse.birt.chart.model.type.LineSeries

Packages that use LineSeries
Package
Description
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of LineSeries in org.eclipse.birt.chart.model.type

Subinterfaces of LineSeries in org.eclipse.birt.chart.model.type
Modifier and Type
Interface
Description
`interface`
`AreaSeries`
A representation of the model object 'Area Series'.
`interface`
`BubbleSeries`
A representation of the model object 'Bubble Series'.
`interface`
`DifferenceSeries`
A representation of the model object 'Difference Series'.
`interface`
`ScatterSeries`
A representation of the model object 'Scatter Series'.
Methods in org.eclipse.birt.chart.model.type that return LineSeries
Modifier and Type
Method
Description
`LineSeries`
LineSeries.`copyInstance()`
`LineSeries`
TypeFactory.`createLineSeries()`
Returns a new object of class 'Line Series'.

## Uses of LineSeries in org.eclipse.birt.chart.model.type.impl

Classes in org.eclipse.birt.chart.model.type.impl that implement LineSeries
Modifier and Type
Class
Description
`class`
`AreaSeriesImpl`
An implementation of the model object 'Area Series'.
`class`
`BubbleSeriesImpl`
An implementation of the model object 'Bubble Series'.
`class`
`DifferenceSeriesImpl`
An implementation of the model object 'Difference Series'.
`class`
`LineSeriesImpl`
An implementation of the model object ' Line Series'.
`class`
`ScatterSeriesImpl`
An implementation of the model object ' Scatter Series'.
Methods in org.eclipse.birt.chart.model.type.impl that return LineSeries
Modifier and Type
Method
Description
`LineSeries`
LineSeriesImpl.`copyInstance()`
`LineSeries`
TypeFactoryImpl.`createLineSeries()`